package org.n52.security.authentication.loginmodule;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

import org.dom4j.Element;
import org.dom4j.Node;

public class FileLoginUser {
	
    	private String username;
    	private String password;
    	private String realname;
    	private List roles;
    	
    	FileLoginUser(String username, String password, String realname){
    		this.username = username;
    		this.password = password;
    		this.realname = realname;
    	}
    	
    	FileLoginUser (Node pUserNode) {
    		roles = new ArrayList();
    		Element lUserElem = (Element) pUserNode;
    		username = lUserElem.attributeValue("username");
    		password = lUserElem.attributeValue("password");
    		realname = lUserElem.attributeValue("realname");
    		List lRoleElems = lUserElem.elements("Role");
    		for (Iterator iter = lRoleElems.iterator(); iter.hasNext();) {
    			addRole( ((Element) iter.next()).attributeValue("name"));
			}
    	}
		public String getPassword() {
			return password;
		}
		public void setPassword(String password) {
			this.password = password;
		}
		public String getRealname() {
			return realname;
		}
		public void setRealname(String realname) {
			this.realname = realname;
		}
		public String getUsername() {
			return username;
		}
		public void setUsername(String username) {
			this.username = username;
		}
		public String[] getRoles() {
			return (String[]) roles.toArray(new String[roles.size()]);
		}
		public void setRoles(String[] pRoles) {
			roles = Arrays.asList(pRoles);
		}
		public void addRole(String pRole) {
			roles.add(pRole);
		}
}
