package org.n52.security.enforcement.artifact;

public class SimpleTransferAttribute implements TransferAttribute {

	private String mName;
	private Object mValue;

	public SimpleTransferAttribute(String pName, Object pValue) {
		mName = pName;
		mValue = pValue;
	}

	public String getName() {
		return mName;
	}

	public Object getValue() {
		return mValue;
	}


	public String toString() {
		return mName + " : "+mValue;
	}
}
