/****************************************************************
 SDI Security Services

 Copyright (C) 2004 by con terra GmbH

 Author: Jan Drewnak

 Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
 48155 Muenster, Germany, 52n@conterra.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 version 2 as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program (see gnu-gpl v2.txt); if not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA  02111-1307, USA or visit the web page of the Free
 Software Foundation, http://www.fsf.org.
 ****************************************************************/
package org.n52.security.authentication;

import org.dom4j.Node;

/**
 * todo: describe their purpose
 */
public interface AuthenticationMethod {

    /**
     * Method gets the URN.
     *
     * @return String.
     */
    String getURN();

    /**
     * Method asDom4J.
     *
     * @return Node.
     */
    Node asDom4J();
}
